## qt6-charts 6.2.4

=== examples/CMakeLists.txt ===
# Generated from examples.pro.

qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(charts)

qt_examples_build_end()

=== examples/charts/CMakeLists.txt ===
# Generated from charts.pro.

if(QT_FEATURE_charts_area_chart)
    qt_internal_add_example(areachart)
endif()
if(QT_FEATURE_charts_line_chart)
    qt_internal_add_example(callout)
    qt_internal_add_example(chartinteractions)
    qt_internal_add_example(customchart)
    qt_internal_add_example(linechart)
    qt_internal_add_example(lineandbar)
    qt_internal_add_example(legendmarkers)
    qt_internal_add_example(logvalueaxis)
    qt_internal_add_example(modeldata)
    qt_internal_add_example(zoomlinechart)
endif()
if(QT_FEATURE_charts_spline_chart)
    qt_internal_add_example(dynamicspline)
    qt_internal_add_example(multiaxis)
    qt_internal_add_example(splinechart)
    qt_internal_add_example(pointsselectionandmarkers)
endif()
if(QT_FEATURE_charts_area_chart AND QT_FEATURE_charts_spline_chart)
    qt_internal_add_example(chartthemes)
    qt_internal_add_example(polarchart)
endif()
if(QT_FEATURE_charts_bar_chart)
    qt_internal_add_example(barchart)
    qt_internal_add_example(barmodelmapper)
    qt_internal_add_example(horizontalbarchart)
    qt_internal_add_example(horizontalpercentbarchart)
    qt_internal_add_example(horizontalstackedbarchart)
    qt_internal_add_example(stackedbarchart)
    qt_internal_add_example(stackedbarchartdrilldown)
    qt_internal_add_example(percentbarchart)
    qt_internal_add_example(legend)
    qt_internal_add_example(temperaturerecords)
    qt_internal_add_example(selectedbar)
endif()
if(QT_FEATURE_charts_pie_chart)
    qt_internal_add_example(donutchart)
    qt_internal_add_example(donutbreakdown)
    qt_internal_add_example(nesteddonuts)
    qt_internal_add_example(piechart)
    qt_internal_add_example(piechartcustomization)
    qt_internal_add_example(piechartdrilldown)
endif()
if(QT_FEATURE_charts_pie_chart AND TARGET Qt::Quick)
    qt_internal_add_example(qmlpiechart)
endif()
if(QT_FEATURE_charts_boxplot_chart)
    qt_internal_add_example(boxplotchart)
endif()
if(QT_FEATURE_charts_boxplot_chart AND TARGET Qt::Quick)
    qt_internal_add_example(qmlboxplot)
endif()
if(QT_FEATURE_charts_candlestick_chart)
    qt_internal_add_example(candlestickchart)
endif()
if(QT_FEATURE_charts_candlestick_chart AND TARGET Qt::Quick)
    qt_internal_add_example(qmlcandlestick)
endif()
if(QT_FEATURE_charts_scatter_chart)
    qt_internal_add_example(scatterchart)
    qt_internal_add_example(scatterinteractions)
endif()
if(TARGET Qt::Quick)
    qt_internal_add_example(qmlchart)
    qt_internal_add_example(qmlcustomizations)
    qt_internal_add_example(qmlcustomlegend)
    qt_internal_add_example(qmlf1legends)
    qt_internal_add_example(qmloscilloscope)
    qt_internal_add_example(qmlweather)
endif()
if(TARGET Qt::Multimedia)
    # TODO: this never gets compiled : missing find_pacakge
    # qt_internal_add_example(audio) // QTBUG-94181
endif()
if(QT_FEATURE_opengl)
    qt_internal_add_example(openglseries)
endif()
if(QT_FEATURE_charts_datetime_axis)
    qt_internal_add_example(datetimeaxis)
endif()
if(QT_FEATURE_charts_datetime_axis AND TARGET Qt::Quick)
    qt_internal_add_example(qmlaxes)
    qt_internal_add_example(qmlpolarchart)
endif()

=== src/charts/CMakeLists.txt ===
# Generated from charts.pro.

#####################################################################
## Charts Module:
#####################################################################

qt_internal_add_module(Charts
    TARGET_PRODUCT "Qt Charts (Qt ${PROJECT_VERSION})"
    TARGET_DESCRIPTION "Charts component for Qt."
    SOURCES
        animations/axisanimation.cpp animations/axisanimation_p.h
        animations/chartanimation.cpp animations/chartanimation_p.h
        animations/xyanimation.cpp animations/xyanimation_p.h
        axis/barcategoryaxis/chartbarcategoryaxisx.cpp axis/barcategoryaxis/chartbarcategoryaxisx_p.h
        axis/barcategoryaxis/chartbarcategoryaxisy.cpp axis/barcategoryaxis/chartbarcategoryaxisy_p.h
        axis/barcategoryaxis/qbarcategoryaxis.cpp axis/barcategoryaxis/qbarcategoryaxis.h axis/barcategoryaxis/qbarcategoryaxis_p.h
        axis/cartesianchartaxis.cpp axis/cartesianchartaxis_p.h
        axis/categoryaxis/chartcategoryaxisx.cpp axis/categoryaxis/chartcategoryaxisx_p.h
        axis/categoryaxis/chartcategoryaxisy.cpp axis/categoryaxis/chartcategoryaxisy_p.h
        axis/categoryaxis/polarchartcategoryaxisangular.cpp axis/categoryaxis/polarchartcategoryaxisangular_p.h
        axis/categoryaxis/polarchartcategoryaxisradial.cpp axis/categoryaxis/polarchartcategoryaxisradial_p.h
        axis/categoryaxis/qcategoryaxis.cpp axis/categoryaxis/qcategoryaxis.h axis/categoryaxis/qcategoryaxis_p.h
        axis/coloraxis/qcoloraxis.cpp axis/coloraxis/qcoloraxis.h axis/coloraxis/qcoloraxis_p.h
        axis/coloraxis/chartcoloraxisy.cpp axis/coloraxis/chartcoloraxisy_p.h
        axis/coloraxis/chartcoloraxisx.cpp axis/coloraxis/chartcoloraxisx_p.h
        axis/chartaxiselement.cpp axis/chartaxiselement_p.h
        axis/editableaxislabel.cpp axis/editableaxislabel_p.h
        axis/horizontalaxis.cpp axis/horizontalaxis_p.h
        axis/linearrowitem_p.h
        axis/logvalueaxis/chartlogvalueaxisx.cpp axis/logvalueaxis/chartlogvalueaxisx_p.h
        axis/logvalueaxis/chartlogvalueaxisy.cpp axis/logvalueaxis/chartlogvalueaxisy_p.h
        axis/logvalueaxis/polarchartlogvalueaxisangular.cpp axis/logvalueaxis/polarchartlogvalueaxisangular_p.h
        axis/logvalueaxis/polarchartlogvalueaxisradial.cpp axis/logvalueaxis/polarchartlogvalueaxisradial_p.h
        axis/logvalueaxis/qlogvalueaxis.cpp axis/logvalueaxis/qlogvalueaxis.h axis/logvalueaxis/qlogvalueaxis_p.h
        axis/polarchartaxis.cpp axis/polarchartaxis_p.h
        axis/polarchartaxisangular.cpp axis/polarchartaxisangular_p.h
        axis/polarchartaxisradial.cpp axis/polarchartaxisradial_p.h
        axis/qabstractaxis.cpp axis/qabstractaxis.h axis/qabstractaxis_p.h
        axis/valueaxis/chartvalueaxisx.cpp axis/valueaxis/chartvalueaxisx_p.h
        axis/valueaxis/chartvalueaxisy.cpp axis/valueaxis/chartvalueaxisy_p.h
        axis/valueaxis/polarchartvalueaxisangular.cpp axis/valueaxis/polarchartvalueaxisangular_p.h
        axis/valueaxis/polarchartvalueaxisradial.cpp axis/valueaxis/polarchartvalueaxisradial_p.h
        axis/valueaxis/qvalueaxis.cpp axis/valueaxis/qvalueaxis.h axis/valueaxis/qvalueaxis_p.h
        axis/valueaxis/valueaxislabel.cpp axis/valueaxis/valueaxislabel_p.h
        axis/verticalaxis.cpp axis/verticalaxis_p.h
        chartbackground.cpp chartbackground_p.h
        chartconfig_p.h
        chartdataset.cpp chartdataset_p.h
        chartelement.cpp chartelement_p.h
        charthelpers_p.h
        chartitem.cpp chartitem_p.h
        chartpresenter.cpp chartpresenter_p.h
        chartthememanager.cpp chartthememanager_p.h
        charttitle.cpp charttitle_p.h
        domain/abstractdomain.cpp domain/abstractdomain_p.h
        domain/logxlogydomain.cpp domain/logxlogydomain_p.h
        domain/logxlogypolardomain.cpp domain/logxlogypolardomain_p.h
        domain/logxydomain.cpp domain/logxydomain_p.h
        domain/logxypolardomain.cpp domain/logxypolardomain_p.h
        domain/polardomain.cpp domain/polardomain_p.h
        domain/xlogydomain.cpp domain/xlogydomain_p.h
        domain/xlogypolardomain.cpp domain/xlogypolardomain_p.h
        domain/xydomain.cpp domain/xydomain_p.h
        domain/xypolardomain.cpp domain/xypolardomain_p.h
        layout/abstractchartlayout.cpp layout/abstractchartlayout_p.h
        layout/cartesianchartlayout.cpp layout/cartesianchartlayout_p.h
        layout/polarchartlayout.cpp layout/polarchartlayout_p.h
        legend/legendlayout.cpp legend/legendlayout_p.h
        legend/legendmarkeritem.cpp legend/legendmarkeritem_p.h
        legend/legendscroller.cpp legend/legendscroller_p.h
        legend/legendmoveresizehandler.cpp legend/legendmoveresizehandler_p.h
        legend/qlegend.cpp legend/qlegend.h legend/qlegend_p.h
        legend/qlegendmarker.cpp legend/qlegendmarker.h legend/qlegendmarker_p.h
        legend/qxylegendmarker.cpp legend/qxylegendmarker.h legend/qxylegendmarker_p.h
        qabstractseries.cpp qabstractseries.h qabstractseries_p.h
        qchart.cpp qchart.h qchart_p.h
        qchartglobal.h qchartglobal_p.h
        qchartview.cpp qchartview.h qchartview_p.h
        qpolarchart.cpp qpolarchart.h
        scroller.cpp scroller_p.h
        themes/charttheme_p.h
        themes/chartthemebluecerulean_p.h
        themes/chartthemeblueicy_p.h
        themes/chartthemebluencs_p.h
        themes/chartthemebrownsand_p.h
        themes/chartthemedark_p.h
        themes/chartthemehighcontrast_p.h
        themes/chartthemelight_p.h
        themes/chartthemeqt_p.h
        themes/chartthemesystem_p.h
        xychart/glxyseriesdata.cpp xychart/glxyseriesdata_p.h
        xychart/qhxymodelmapper.cpp xychart/qhxymodelmapper.h
        xychart/qvxymodelmapper.cpp xychart/qvxymodelmapper.h
        xychart/qxymodelmapper.cpp xychart/qxymodelmapper.h xychart/qxymodelmapper_p.h
        xychart/qxyseries.cpp xychart/qxyseries.h xychart/qxyseries_p.h
        xychart/xychart.cpp xychart/xychart_p.h
    INCLUDE_DIRECTORIES
        animations
        axis
        axis/barcategoryaxis
        axis/categoryaxis
        axis/coloraxis
        axis/logvalueaxis
        axis/valueaxis
        domain
        layout
        legend
        themes
        xychart
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Widgets
)

qt_internal_extend_target(Charts CONDITION QT_FEATURE_opengl
    SOURCES
        glwidget.cpp glwidget_p.h
    PUBLIC_LIBRARIES
        Qt::OpenGL
        Qt::OpenGLWidgets
)

qt_internal_extend_target(Charts CONDITION QT_FEATURE_charts_area_chart
    SOURCES
        areachart/areachartitem.cpp areachart/areachartitem_p.h
        areachart/qareaseries.cpp areachart/qareaseries.h areachart/qareaseries_p.h
        legend/qarealegendmarker.cpp legend/qarealegendmarker.h legend/qarealegendmarker_p.h
    INCLUDE_DIRECTORIES
        areachart
)

qt_internal_extend_target(Charts CONDITION QT_FEATURE_charts_bar_chart
    SOURCES
        animations/baranimation.cpp animations/baranimation_p.h
        barchart/abstractbarchartitem.cpp barchart/abstractbarchartitem_p.h
        barchart/bar.cpp barchart/bar_p.h
        barchart/horizontal/bar/horizontalbarchartitem.cpp barchart/horizontal/bar/horizontalbarchartitem_p.h
        barchart/horizontal/bar/qhorizontalbarseries.cpp barchart/horizontal/bar/qhorizontalbarseries.h barchart/horizontal/bar/qhorizontalbarseries_p.h
        barchart/horizontal/percent/horizontalpercentbarchartitem.cpp barchart/horizontal/percent/horizontalpercentbarchartitem_p.h
        barchart/horizontal/percent/qhorizontalpercentbarseries.cpp barchart/horizontal/percent/qhorizontalpercentbarseries.h barchart/horizontal/percent/qhorizontalpercentbarseries_p.h
        barchart/horizontal/stacked/horizontalstackedbarchartitem.cpp barchart/horizontal/stacked/horizontalstackedbarchartitem_p.h
        barchart/horizontal/stacked/qhorizontalstackedbarseries.cpp barchart/horizontal/stacked/qhorizontalstackedbarseries.h barchart/horizontal/stacked/qhorizontalstackedbarseries_p.h
        barchart/qabstractbarseries.cpp barchart/qabstractbarseries.h barchart/qabstractbarseries_p.h
        barchart/qbarmodelmapper.cpp barchart/qbarmodelmapper.h barchart/qbarmodelmapper_p.h
        barchart/qbarset.cpp barchart/qbarset.h barchart/qbarset_p.h
        barchart/qhbarmodelmapper.cpp barchart/qhbarmodelmapper.h
        barchart/qvbarmodelmapper.cpp barchart/qvbarmodelmapper.h
        barchart/vertical/bar/barchartitem.cpp barchart/vertical/bar/barchartitem_p.h
        barchart/vertical/bar/qbarseries.cpp barchart/vertical/bar/qbarseries.h barchart/vertical/bar/qbarseries_p.h
        barchart/vertical/percent/percentbarchartitem.cpp barchart/vertical/percent/percentbarchartitem_p.h
        barchart/vertical/percent/qpercentbarseries.cpp barchart/vertical/percent/qpercentbarseries.h barchart/vertical/percent/qpercentbarseries_p.h
        barchart/vertical/stacked/qstackedbarseries.cpp barchart/vertical/stacked/qstackedbarseries.h barchart/vertical/stacked/qstackedbarseries_p.h
        barchart/vertical/stacked/stackedbarchartitem.cpp barchart/vertical/stacked/stackedbarchartitem_p.h
        legend/qbarlegendmarker.cpp legend/qbarlegendmarker.h legend/qbarlegendmarker_p.h
    INCLUDE_DIRECTORIES
        barchart
        barchart/horizontal/bar
        barchart/horizontal/percent
        barchart/horizontal/stacked
        barchart/vertical/bar
        barchart/vertical/percent
        barchart/vertical/stacked
)

qt_internal_extend_target(Charts CONDITION QT_FEATURE_charts_line_chart
    SOURCES
        linechart/linechartitem.cpp linechart/linechartitem_p.h
        linechart/qlineseries.cpp linechart/qlineseries.h linechart/qlineseries_p.h
    INCLUDE_DIRECTORIES
        linechart
)

qt_internal_extend_target(Charts CONDITION QT_FEATURE_charts_pie_chart
    SOURCES
        animations/pieanimation.cpp animations/pieanimation_p.h
        animations/piesliceanimation.cpp animations/piesliceanimation_p.h
        legend/qpielegendmarker.cpp legend/qpielegendmarker.h legend/qpielegendmarker_p.h
        piechart/piechartitem.cpp piechart/piechartitem_p.h
        piechart/pieslicedata_p.h
        piechart/piesliceitem.cpp piechart/piesliceitem_p.h
        piechart/qhpiemodelmapper.cpp piechart/qhpiemodelmapper.h
        piechart/qpiemodelmapper.cpp piechart/qpiemodelmapper.h piechart/qpiemodelmapper_p.h
        piechart/qpieseries.cpp piechart/qpieseries.h piechart/qpieseries_p.h
        piechart/qpieslice.cpp piechart/qpieslice.h piechart/qpieslice_p.h
        piechart/qvpiemodelmapper.cpp piechart/qvpiemodelmapper.h
    INCLUDE_DIRECTORIES
        piechart
)

qt_internal_extend_target(Charts CONDITION QT_FEATURE_charts_scatter_chart
    SOURCES
        animations/scatteranimation.cpp animations/scatteranimation_p.h
        scatterchart/qscatterseries.cpp scatterchart/qscatterseries.h scatterchart/qscatterseries_p.h
        scatterchart/scatterchartitem.cpp scatterchart/scatterchartitem_p.h
    INCLUDE_DIRECTORIES
        scatterchart
)

qt_internal_extend_target(Charts CONDITION QT_FEATURE_charts_spline_chart
    SOURCES
        animations/splineanimation.cpp animations/splineanimation_p.h
        splinechart/qsplineseries.cpp splinechart/qsplineseries.h splinechart/qsplineseries_p.h
        splinechart/splinechartitem.cpp splinechart/splinechartitem_p.h
    INCLUDE_DIRECTORIES
        splinechart
)

qt_internal_extend_target(Charts CONDITION QT_FEATURE_charts_boxplot_chart
    SOURCES
        animations/boxplotanimation.cpp animations/boxplotanimation_p.h
        animations/boxwhiskersanimation.cpp animations/boxwhiskersanimation_p.h
        boxplotchart/boxplotchartitem.cpp boxplotchart/boxplotchartitem_p.h
        boxplotchart/boxwhiskers.cpp boxplotchart/boxwhiskers_p.h
        boxplotchart/boxwhiskersdata_p.h
        boxplotchart/qboxplotmodelmapper.cpp boxplotchart/qboxplotmodelmapper.h boxplotchart/qboxplotmodelmapper_p.h

=== examples/charts/audio/CMakeLists.txt ===
# Generated from audio.pro.

cmake_minimum_required(VERSION 3.16)
project(audio LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/charts/audio")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Charts)
find_package(Qt6 COMPONENTS Multimedia)

qt_add_executable(audio
    main.cpp
    widget.cpp widget.h
    xyseriesiodevice.cpp xyseriesiodevice.h
)
set_target_properties(audio PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(audio PUBLIC
    Qt::Charts
    Qt::Core
    Qt::Gui
    Qt::Multimedia
)

install(TARGETS audio
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/charts/callout/CMakeLists.txt ===
# Generated from callout.pro.

cmake_minimum_required(VERSION 3.16)
project(callout LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/charts/callout")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Charts)

qt_add_executable(callout
    callout.cpp callout.h
    main.cpp
    view.cpp view.h
)
set_target_properties(callout PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(callout PUBLIC
    Qt::Charts
    Qt::Core
    Qt::Gui
)

install(TARGETS callout
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/charts/horizontalbarchart/CMakeLists.txt ===
# Generated from horizontalbarchart.pro.

cmake_minimum_required(VERSION 3.16)
project(horizontalbarchart LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/charts/horizontalbarchart")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Charts)

qt_add_executable(horizontalbarchart
    main.cpp
)
set_target_properties(horizontalbarchart PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(horizontalbarchart PUBLIC
    Qt::Charts
    Qt::Core
    Qt::Gui
)

install(TARGETS horizontalbarchart
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/charts/horizontalstackedbarchart/CMakeLists.txt ===
# Generated from horizontalstackedbarchart.pro.

cmake_minimum_required(VERSION 3.16)
project(horizontalstackedbarchart LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/charts/horizontalstackedbarchart")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Charts)

qt_add_executable(horizontalstackedbarchart
    main.cpp
)
set_target_properties(horizontalstackedbarchart PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(horizontalstackedbarchart PUBLIC
    Qt::Charts
    Qt::Core
    Qt::Gui
)

install(TARGETS horizontalstackedbarchart
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/charts/legend/CMakeLists.txt ===
# Generated from legend.pro.

cmake_minimum_required(VERSION 3.16)
project(legend LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/charts/legend")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Charts)

qt_add_executable(legend
    main.cpp
    mainwidget.cpp mainwidget.h
)
set_target_properties(legend PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(legend PUBLIC
    Qt::Charts
    Qt::Core
    Qt::Gui
)

install(TARGETS legend
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/charts/lineandbar/CMakeLists.txt ===
# Generated from lineandbar.pro.

cmake_minimum_required(VERSION 3.16)
project(lineandbar LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/charts/lineandbar")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Charts)

qt_add_executable(lineandbar
    main.cpp
)
set_target_properties(lineandbar PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(lineandbar PUBLIC
    Qt::Charts
    Qt::Core
    Qt::Gui
)

install(TARGETS lineandbar
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/charts/logvalueaxis/CMakeLists.txt ===
# Generated from logvalueaxis.pro.

cmake_minimum_required(VERSION 3.16)
project(logvalueaxis LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/charts/logvalueaxis")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Charts)

qt_add_executable(logvalueaxis
    main.cpp
)
set_target_properties(logvalueaxis PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(logvalueaxis PUBLIC
    Qt::Charts
    Qt::Core
    Qt::Gui
)

install(TARGETS logvalueaxis
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/charts/qmlcandlestick/CMakeLists.txt ===
# Generated from qmlcandlestick.pro.

cmake_minimum_required(VERSION 3.16)
project(qmlcandlestick LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/charts/qmlcandlestick")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Charts)
find_package(Qt6 COMPONENTS Qml)
find_package(Qt6 COMPONENTS Quick)

qt_add_executable(qmlcandlestick
    main.cpp
)
set_target_properties(qmlcandlestick PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(qmlcandlestick PUBLIC
    Qt::Charts
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
)


# Resources:
set(resources_resource_files
    "qml/qmlcandlestick/main.qml"
)

qt6_add_resources(qmlcandlestick "resources"
    PREFIX
        "/"
    FILES
        ${resources_resource_files}
)

install(TARGETS qmlcandlestick
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/charts/qmlchart/CMakeLists.txt ===
# Generated from qmlchart.pro.

cmake_minimum_required(VERSION 3.16)
project(qmlchart LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/charts/qmlchart")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Charts)
find_package(Qt6 COMPONENTS Qml)
find_package(Qt6 COMPONENTS Quick)

qt_add_executable(qmlchart
    main.cpp
)
set_target_properties(qmlchart PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(qmlchart PUBLIC
    Qt::Charts
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
)


# Resources:
set(resources_resource_files
    "qml/qmlchart/MainForm.ui.qml"
    "qml/qmlchart/View1.qml"
    "qml/qmlchart/View10.qml"
    "qml/qmlchart/View11.qml"
    "qml/qmlchart/View12.qml"
    "qml/qmlchart/View2.qml"
    "qml/qmlchart/View3.qml"
    "qml/qmlchart/View4.qml"
    "qml/qmlchart/View5.qml"
    "qml/qmlchart/View6.qml"
    "qml/qmlchart/View7.qml"
    "qml/qmlchart/View8.qml"
    "qml/qmlchart/View9.qml"
    "qml/qmlchart/main.qml"
)

qt6_add_resources(qmlchart "resources"
    PREFIX
        "/"
    FILES
        ${resources_resource_files}
)

install(TARGETS qmlchart
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-charts (6.2.4-1+dde) unstable; urgency=medium

  * New upstream release (6.2.4).

 -- Duan Ting <duanting@uniontech.com>  Fri, 10 Jun 2022 10:54:17 +0800

qt6-charts (6.2.2-1) experimental; urgency=medium

  [ Lu YaNing ]
  * Fix d/copyright Upstream-Name.
  * List cmake files in detail.
  * Update descriptions.
  * Update symbols.

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Bump Qt B-Ds to 6.2.2.
  * Update installed files.

 -- Patrick Franz <deltaone@debian.org>  Fri, 03 Dec 2021 17:13:38 +0100

qt6-charts (6.2.1-1) experimental; urgency=medium

  * Initial release (Closes: #999630)

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Nov 2021 22:54:22 +0100

=== debian/control ===
Source: qt6-charts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               libqt6opengl6-dev (>= 6.2.4~),
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.2.4~),
               qml6-module-qttest (>= 6.2.4~),
               qt6-base-dev (>= 6.2.4~),
               qt6-base-private-dev (>= 6.2.4~),
               qt6-declarative-dev (>= 6.2.4~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-charts
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-charts.git
Rules-Requires-Root: no

Package: libqt6charts6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 charts library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the shared library for Qt 6 Charts.

Package: libqt6chartsqml6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 charts QML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the shared library for Qt 6 Charts Qml.

Package: qml6-module-qtcharts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 charts QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package provides the QML module for Qt 6 charts.

Package: libqt6charts6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6charts6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Description: Qt 6 charts - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the header development files used for building Qt 6
 applications using QtCharts.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-charts 6.3.1

=== debian/changelog ===
qt6-charts (6.3.1-3) unstable; urgency=medium

  * Team upload.
  * Rename libqt6chart6-dev to qt6-charts-dev, as this source package ships
    more than one library.
    - No current reverse dependencies are affected.
    - Add libqt6chartsqml6 as a dependency of this package.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 01 Sep 2022 18:33:15 -0300

qt6-charts (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:26 +0200

qt6-charts (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 11:33:59 +0200

qt6-charts (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 14 Jun 2022 21:48:48 +0200

qt6-charts (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:25 +0200

qt6-charts (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Mar 2022 21:55:04 +0200

qt6-charts (6.2.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:34:05 +0100

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.2.4~),
-               qml6-module-qttest (>= 6.2.4~),
-               qt6-base-dev (>= 6.2.4~),
-               qt6-base-private-dev (>= 6.2.4~),
-               qt6-declarative-dev (>= 6.2.4~),
+               qml6-module-qtquick (>= 6.3.1+dfsg~),
+               qml6-module-qttest (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-charts
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-charts.git
@@ -61,11 +61,16 @@
  .
  This package provides the QML module for Qt 6 charts.
 
-Package: libqt6charts6-dev
+Package: qt6-charts-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libqt6charts6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
+Depends: libqt6charts6 (= ${binary:Version}),
+         libqt6chartsqml6  (= ${binary:Version}),
+         qt6-base-dev,
+         ${misc:Depends},
+Breaks: libqt6charts6-dev (<< 6.3.1-3~)
+Replaces: libqt6charts6-dev (<< 6.3.1-3~)
 Description: Qt 6 charts - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
